#
#    Copyright Analog Flavor 2013-2024
#
#    All rights reserved.
#
#    This software contains proprietary and confidential information which is the
#    property of Analog Flavor and is subject to license terms.
#
#    This file may be used in accordance with the license agreement 
#    provided with the software.
#
#    This copyright notice may not be removed or altered.
#
#!/usr/bin/python

## To run this example from command line, extend your path
##      to include the analog flavor libraries :
## PATH=%cd%\..\..\..\platform\windows\32;%PATH%
## or PATH=%cd%\..\..\..\platform\windows\64;%PATH%
##
## cd /D ...\analog_flavor_msw\examples\bspwave_widget\python_win_test
##
## Run Python
## python.exe example_6_pyqt5_bspwave_widget.py

import bspwave_qt5_interface
import time

from PyQt5.QtGui import *
from PyQt5.QtCore import *
from PyQt5.QtWidgets import *
import sys

app = QApplication(sys.argv)
bspw = bspwave_qt5_interface.QWinBspWaveWidget(None, 1)
bspw.show()
app.exec_()




