/*
    Copyright Analog Flavor 2013-2024

    All rights reserved.

    This software contains proprietary and confidential information which is the
    property of Analog Flavor and is subject to license terms.

    This file may be used in accordance with the license agreement 
    provided with the software.

    This copyright notice may not be removed or altered.
*/

#ifndef __qtWinBspWaveDockedTest__
#define __qtWinBspWaveDockedTest__

#include "ui_qtWinBspWaveDockedTest.h"
#include "qtWinBspWaveWrapper.h"


class qtWinBspWaveDockedTest : public QMainWindow, public Ui::qtWinBspWaveDockedTest
{
    Q_OBJECT

    qtWinBspWaveWrapper *m_bspWaveWidget;

public:

    qtWinBspWaveDockedTest();

public slots:

    void on_actionOpen_File_triggered();
    void on_actionShow_Control_Panel_triggered();
    void on_actionShow_Command_Logger_triggered();
    void on_actionHide_Panels_triggered();

};

#endif //__qtWinBspWaveDockedTest__
