/*
    Copyright Analog Flavor 2013-2024

    All rights reserved.

    This software contains proprietary and confidential information which is the
    property of Analog Flavor and is subject to license terms.

    This file may be used in accordance with the license agreement 
    provided with the software.

    This copyright notice may not be removed or altered.
*/

#ifndef __qtWinBspWaveTest__
#define __qtWinBspWaveTest__

#include "ui_qtWinBspWaveTest.h"
#include "qtWinBspWaveWrapper.h"


class qtWinBspWaveTest : public QMainWindow, public Ui::qtWinBspWaveTest
{
    Q_OBJECT

    qtWinBspWaveWrapper * m_bspWaveWidget;

    qtWinBspWaveComponentWrapper * m_browserWrapper;

public:

    qtWinBspWaveTest();

public slots:

    void on_actionOpen_File_triggered();
    void on_actionShow_Control_Panel_triggered();
    void on_actionShow_Command_Logger_triggered();
    void on_actionHide_Panels_triggered();
    void on_actionReparent_Browser_triggered();

};

#endif //__qtWinBspWaveTest__
